.TH xsquig 1 "04 November 1993"
.SH NAME
xsquig - display squiggley tubular patterns in the X11 root window
.SH SYNOPSIS
.B xsquig
.RB [ -display
.IR d ]
.RB [ -maxcolors
.IR n ]
.RB [ -loops
.IR n ]
.RB [ -id ]
.SH DESCRIPTION
.PP
.I Xsquig
displays squiggley tubular patterns in the root window.
.PP
The original version of this program was Sun-specific, and wrote directly
to the screen.
It ran at a respectable speed on a SPARCstation 1.
This version, going through all the layers of X and having to move about
a hundred times more pixels because X can't efficiently draw a list of
points of different colors, is too slow even on a SPARCstation 10.
Maybe next year.
Meanwhile, if you have a Sun and want to see how fast the original
version runs, fetch http://www.acme.com/software/raster-pixrect/
and build "squig".
.SH OPTIONS
.PP
.I Xsquig
accepts all the usual X flags and resources, such as
.BR -display ,
.BR -sync ,
and
.BR -xrm .
.PP
.I Xsquig
also accepts the following flags:
.TP
.B -maxcolors
Specifies the maximum number of colormap entries that will be used.
If this many are not available, fewer will be used, but if more than
this many are available they will be left free for other applications.
X resource:
.BR maxcolors .
Default: 256.
.TP
.B -loops
Specifies the desired number of loops per second.
.I Xsquig
attempts to maintain this speed by adaptively varying the duration
and freqency of sleeps.
If your X server is not capable of the requested speed, it will do the
best it can.
X resource:
.BR loops .
Default: 20.
.TP
.B -id
Forks a background process and prints the process-id to stdout.
Useful if you want to make a menu command to kill
.IR xsquig .
X resource:
.BR id .
Default: off.
.SH "SEE ALSO"
.IR xsetroot (1),
.IR xsplinefun (1).
.SH AUTHOR
Copyright (C) 1990,1992,1993 by Jef Poskanzer <jef@acme.com>.
All rights reserved.
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
